Bug 1656594 (ceh_dashboard_scale) - Scalability Improvements
Summary: Scalability Improvements
Keywords:
Status: CLOSED WORKSFORME
Alias: ceh_dashboard_scale
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 4.0
Assignee: Zack Cerza
QA Contact: Uday kurundwade
Anjana Suparna Sriram
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 19:44 UTC by Ernesto Puerta
Modified: 2019-12-05 11:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-05 11:42:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 36451 None None None 2018-12-05 19:44:32 UTC

Description Ernesto Puerta 2018-12-05 19:44:32 UTC
Current Dashboard exhibits some "potential" scaling bottlenecks with:
- OSDs: some requests' payloads increase linearly with OSD count. As these requests (/api/osd) are not paginated, they may potentially generate 1 MB/request with 500 OSDs. This endpoint is refreshed every 5 s per dashboard instance (a background Chrome tab running Ceph dashboard would consume 17 GB/day).
- Other endpoints could also retrieve large/unbounded amounts of data (config options, RBD images, etc, RGW buckets).

This BZ should serve as a tracking one for other BZs covering remediation/fixes of this scalability issues:
- Network compression.
- Caching
- Pagination
- Endpoint Refactoring

Comment 1 Yaniv Kaul 2019-01-23 14:16:02 UTC
Any use for this tracker?


Note You need to log in before you can comment on or make changes to this bug.